# SpriteSheetLoader - Pixi.JS

#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# SpriteSheetLoader Class

Extends EventTarget
Defined in: `src/pixi/loaders/SpriteSheetLoader.js:5`
Module: PIXI

The sprite sheet loader is used to load in JSON sprite sheet data To generate the data you can use http://www.codeandweb.com/texturepacker and publish the "JSON" format There is a free version so thats nice, although the paid version is great value for money. It is highly recommended to use Sprite sheets (also know as texture atlas") as it means sprite"s can be batched and drawn together for highly increased rendering speed. Once the data has been loaded the frames are stored in the PIXI texture cache and can be accessed though PIXI.Texture.fromFrameId() and PIXI.Sprite.fromFromeId() This loader will also load the image file that the Spritesheet points to as well as the data. When loaded this class will dispatch a "loaded" event

## Constructor

### `SpriteSheetLoader`

(

- `url`
- `crossorigin`

)

Defined in `src/pixi/loaders/SpriteSheetLoader.js:5`

#### Parameters:

- `url` String

  the url of the sprite sheet JSON file

- `crossorigin` Boolean

- Index

## Item Index